<?php
/**
 * 404 page file
 *
 * @package    WordPress
 * @subpackage Timisoara
 * @author     template_path
 * @version    1.0
 */

$text = sprintf(__('It seems we can\'t find what you\'re looking for. Perhaps searching can help ', 'timisoara'), esc_url(home_url('/')));
$allowed_html = wp_kses_allowed_html( 'post' );
?>
<?php get_header();
$data = \TIMISOARA\Includes\Classes\Common::instance()->data( '404' )->get();
do_action( 'timisoara_banner', $data );
$options = timisoara_WSH()->option();

if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
	

<section class="error-page-area">
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="error-content text-center page-title">
								
			<?php if($options->get('404_page_title' ) ): ?>	  
				<h1 class="title thm_clr1"><?php echo wp_kses( $options->get( '404_page_title'), $allowed_html ); ?></h1>
			<?php else: ?>	
				 <h1 class="title thm_clr1"><?php esc_html_e( '404', 'timisoara' ); ?></h1>
			<?php endif; ?>	
		<br>				

			<?php if($options->get('404_page_text' ) ): ?>	 
					<h3><?php echo wp_kses( $options->get( '404_page_text'), $allowed_html ); ?></h3>
			<?php else: ?>	
				 <h3><?php esc_html_e( 'It seems we can\'t find what you\'re looking for. Perhaps searching can help ', 'timisoara' ); ?></h3>
			<?php endif; ?>	     		
	<br>
			  <div class="btns-box">
				  <a class="new-btn-one" href="<?php echo( home_url( '/' ) ); ?>"> <span class="txt"><?php esc_html_e('Back To Home', 'timisoara');?>
				</span></a>
			</div>
											
                </div>    
            </div>
        </div>       
    </div>
</section>

    
<?php
}
get_footer(); ?>
