<?php

return array(
	'title'  => esc_html__( 'Blog Page Settings', 'timisoara' ),
	'id'     => 'blog_setting',
	'desc'   => '',
	'icon'   => 'el el-indent-left',
	'fields' => array(
		array(
			'id'      => 'blog_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Blog Source Type', 'timisoara' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'timisoara' ),
				'e' => esc_html__( 'Elementor', 'timisoara' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'blog_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'timisoara' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'=> -1,
			],
			'required' => [ 'blog_source_type', '=', 'e' ],
		),

		array(
			'id'       => 'blog_default_st',
			'type'     => 'section',
			'title'    => esc_html__( 'Blog Default', 'timisoara' ),
			'indent'   => true,
			'required' => [ 'blog_source_type', '=', 'd' ],
		),
		
		
		
		array(
			'id'      => 'blog_post_author',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Author', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show author on posts listing', 'apartio' ),
			'default' => true,
		),
		array(
			'id'      => 'blog_post_date',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Post Date', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show post data on posts listing', 'apartio' ),
			'default' => true,
		),
	
		array(
			'id'      => 'blog_post_comments',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Post Comments', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show post comments on posts listing', 'apartio' ),
			'default' => true,
		),
		
		array(
			'id'      => 'blog_post_catgory',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Post Category', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show post comments on posts listing', 'apartio' ),
			'default' => false,
		),
		
		array(
			'id'      => 'blog_post_readmore',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Blog Read More', 'timisoara' ),
			'desc'    => esc_html__( 'Enable to show post data on posts listing', 'timisoara' ),
			'default' => true,
		),
		array(
		    'id'       => 'blog_post_readmoretext',
		    'type'     => 'text',
		    'title'    => esc_html__( 'Read More Text', 'timisoara' ),
		    'desc'     => esc_html__( 'Enter Read More Text to Show.', 'timisoara' ),
			'default'  => esc_html__( 'Read More', 'timisoara' ),
	    ),
		
		array(
			'id'       => 'blog_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'blog_source_type', '=', 'd' ],
		),
	),
);





