<?php

return array(
	'title'      => esc_html__( 'Single Post Settings', 'timisoara' ),
	'id'         => 'single_post_setting',
	'desc'       => '',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'single_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Single Post Source Type', 'timisoara' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'timisoara' ),
				'e' => esc_html__( 'Elementor', 'timisoara' ),
			),
			'default' => 'd',
		),

		array(
			'id'       => 'single_default_st',
			'type'     => 'section',
			'title'    => esc_html__( 'Post Default', 'timisoara' ),
			'indent'   => true,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
		array(
			'id'      => 'single_post_tag',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Tags', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show post tags on posts single page', 'apartio' ),
			'default' => true,
		),
		array(
			'id'      => 'single_post_share',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Social Share', 'timisoara' ),
			'desc'    => esc_html__( 'Enable to show social Share options', 'timisoara' ),
			'default' => false,
		),
		array(
			'id'       => 'single_social_share',
			'type'     => 'sortable',
			'title'    => esc_html__( 'Post Sharing Icons', 'timisoara' ),
			'subtitle' => esc_html__( 'Select icons to activate social sharing icons in post detail page', 'timisoara' ),
			'required' => array( 'blog_post_share', '=', true ),
			'mode'     => 'checkbox',
			'required' => array( 'single_post_share', '=', true ),
			'options'  => array(
				'facebook'    => esc_html__( 'Facebook', 'timisoara' ),
				'twitter'     => esc_html__( 'Twitter', 'timisoara' ),
				'gplus'       => esc_html__( 'Google Plus', 'timisoara' ),
				'digg'        => esc_html__( 'Digg Digg', 'timisoara' ),
				'reddit'      => esc_html__( 'Reddit', 'timisoara' ),
				'linkedin'    => esc_html__( 'Linkedin', 'timisoara' ),
				'pinterest'   => esc_html__( 'Pinterest', 'timisoara' ),
				'stumbleupon' => esc_html__( 'Sumbleupon', 'timisoara' ),
				'tumblr'      => esc_html__( 'Tumblr', 'timisoara' ),
				'email'       => esc_html__( 'Email', 'timisoara' ),
			),
		),
		array(
			'id'      => 'single_author_box',
			'type'    => 'switch',
			'title'   => esc_html__( 'Show Author Box', 'apartio' ),
			'desc'    => esc_html__( 'Enable to show Author Box', 'apartio' ),
			'default' => true,
		),
		array(
			'id'       => 'single_section_default_ed',
			'type'     => 'section',
			'indent'   => false,
			'required' => [ 'single_source_type', '=', 'd' ],
		),
	),
);