<?php
$options = timisoara_WSH()->option();
$allowed_html = wp_kses_allowed_html();

/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage TIMISOARA
 * @author     Tona Theme
 * @version    1.0
 */

if ( class_exists( 'Timisoara_Resizer' ) ) {
	$img_obj = new Timisoara_Resizer();
} else {
	$img_obj = array();
}
$allowed_tags = wp_kses_allowed_html('post');
global $post;
?>
<div <?php post_class(); ?>>

<div class="news-block">
	<div class="inner-box ">
		<div class="image-box"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>">
			<?php the_post_thumbnail(); ?>
		</a></div>
		<div class="lower-content">
			<h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
			
			<div class="post-info">
				<?php if($options->get('blog_post_author' ) ): ?>
				<span class="meta_infox fa fa-user"></span><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php the_author(); ?></a>
				<?php endif;?>
				
				<?php if($options->get('blog_post_date' ) ): ?>	 
				<span class="meta_infox fa fa-calendar"></span><a href="<?php echo get_day_link( get_the_time( 'Y' ), get_the_time( 'm' ), get_the_time( 'd' ) ); ?>"><?php echo get_the_date(); ?></a>
				<?php endif; ?>
				
				<?php if($options->get('blog_post_comments' ) ): ?>	
				<span class="meta_infox fa fa-comments"></span><?php comments_number(); ?>	
				<?php endif;?>
				
				<?php if($options->get('blog_post_catgory' ) ): ?>
				<span class="meta_tags"><?php esc_html_e('Tags: ', 'timisoara'); ?> <?php the_category(', '); ?></span>
				<?php endif;?>
				
			</div>
			
			<?php the_excerpt(); ?>
			
			<?php if($options->get('blog_post_readmore' ) ): ?>						
			<?php if($options->get('blog_post_readmoretext' ) ): ?>		
			<a href="<?php echo esc_url(get_permalink(get_the_id()));?>" class="read-more"><?php echo wp_kses( $options->get( 'blog_post_readmoretext'), $allowed_html ); ?> <i class="flaticon-play"></i></a>
			<?php else: ?>	

			<a href="<?php echo esc_url(get_permalink(get_the_id()));?>" class="read-more"><?php esc_html_e('Read More', 'timisoara');?> <i class="flaticon-play"></i></a>
			<?php endif; ?>	
			<?php endif;?>
			
		</div>
	</div>
</div>

    
</div>