<?php
$options = timisoara_WSH()->option(); 
$allowed_html = wp_kses_allowed_html( 'post' );

//Logo Settings
$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo2 = $options->get( 'image_normal_logo2' );
$logo_dimension2 = $options->get( 'normal_logo_dimension2' );

$image_logo3 = $options->get( 'image_normal_logo3' );
$logo_dimension3 = $options->get( 'normal_logo_dimension3' );

$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>

    <!-- sidebar cart item -->
    <div class="xs-sidebar-group info-group info-sidebar">
        <div class="xs-overlay xs-bg-black"></div>
        <div class="xs-sidebar-widget">
            <div class="sidebar-widget-container">
                <div class="widget-heading">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="close-side-widget"><i class="fa fa-close"></i></a>
                </div>
                <div class="sidebar-textwidget">
                <div class="sidebar-info-contents">
                    <div class="content-inner">
                        <div class="logo">
                            <?php echo timisoara_logo( $logo_type, $image_logo2, $logo_dimension2, $logo_text, $logo_typography ); ?>
                        </div>
                        <div class="content-box">
                            <h4><?php echo wp_kses( $options->get( 'about_title'), $allowed_html ); ?></h4>
                            <p><?php echo wp_kses( $options->get( 'about_text'), $allowed_html ); ?></p>
                        </div>
                        <div class="form-inner">
                            <h4><?php echo wp_kses( $options->get( 'contact_title'), $allowed_html ); ?></h4>
							
							<form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="post">
                                <div class="form-group">
                                    <input type="text" name="name" placeholder="Name" required="">
                                </div>
                                <div class="form-group">
                                    <input type="email" name="email" placeholder="Email" required="">
                                </div>
                                <div class="form-group">
                                    <textarea name="message" placeholder="Message..."></textarea>
                                </div>
                                <div class="form-group message-btn">
                                    <button class="new-btn-one">Submit Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
    <!-- sidebar widget item end -->
 	
    <!-- Main Header-->
    <header class="main-header header-style-three">

        <!-- Main Box -->
    	<div class="main-box">
        	<div class="outer-container clearfix">
                <!--Nav Outer-->
                <div class="nav-outer clearfix">
                    <!--Logo Box-->
                        <div class="logo-box">
                            <div class="logo">
							<?php echo timisoara_logo( $logo_type, $image_logo2, $logo_dimension2, $logo_text, $logo_typography ); ?>
							</div>
                        </div>
                    <!-- Main Menu -->
                    <nav class="main-menu">
                        <div class="navbar-header">
                            <!-- Toggle Button -->      
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        
                        <div class="navbar-collapse collapse clearfix">
                            <ul class="navigation clearfix">
								<?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
									'container_class'=>'navbar-collapse collapse navbar-right',
									'menu_class'=>'nav navbar-nav',
									'fallback_cb'=>false, 
									'items_wrap' => '%3$s', 
									'container'=>false,
									'depth'=>'3',
									'walker'=> new Bootstrap_walker()  
								) ); ?>
							 </ul>
                        </div>
                    </nav>
                    <!-- Main Menu End-->
                </div>
                <!--Right Info-->
                <div class="info-options">
                    <!--Info Block-->
                    <div class="info-block">
                        <!-- btn-box -->
                        <div class="btn-box">
                            <a href="<?php echo wp_kses( $options->get( 'quote_link_v2'), $allowed_html ); ?>" class="new-btn-one"><?php echo wp_kses( $options->get( 'quote_v2'), $allowed_html ); ?><i class="icon-2"></i></a>
                        </div>
                        <!--Search Box-->
                        <div class="search-box-outer">
                            <div class="dropdown">
                                <button class="search-box-btn dropdown-toggle" type="button" id="dropdownMenu3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-search"></span></button>
                                <ul class="dropdown-menu pull-right search-panel" aria-labelledby="dropdownMenu3">
                                    <li class="panel-outer">
                                        <div class="form-container">
                                            <form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                                <div class="form-group">
                                                    <input type="search" name="s" value="" placeholder="<?php echo wp_kses( $options->get( 'search_text_v2'), $allowed_html ); ?>" required>
                                                    <button type="submit" class="search-btn"><span class="fa fa-search"></span></button>
                                                </div>
                                            </form>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <!-- nav-btn -->
                        <div class="nav-btn nav-toggler navSidebar-button clearfix">
                            <span class="bar bar-1"></span>
                            <span class="bar bar-2"></span>
                            <span class="bar bar-3"></span>
                        </div>
                    </div>
                </div>
                <!--Nav Outer End-->
            </div> 
        </div>
    </header>
    <!--End Main Header -->