<?php

namespace TIMISOARAPLUGIN\Element;


class Elementor {
	static $widgets = array(
		'slider',
		'h1_about',
		'h1_service',
		'h1_what_we_do',
		'h1_testimonial',
		'h1_gallery',
		'h1_pricing',
		'h1_funfacts',
		'h1_blog',
		'h1_contact',
		'h1_contact_title',
		'footer_widget1',
		'footer_widget2',
		'footer_widget3',
		'footer_widget4',
		'footer_bottom',
		'h2_work',
		'h2_about',
		'h2_what_we_do',
		'h2_team',
		'h2_testimonial',
		'h2_gallery',
		'h2_pricing',
		'h2_blog',
		'h2_clients',
		'h3_slider',
		'h3_feature',
		'h3_clients',
		'h3_about_left',
		'h3_about_right',
		'h3_funfuct',
		'h3_service',
		'h3_video',
		'h3_team',
		'h3_pricing',
		'h3_gallery',
		'h3_cta',
		'h3_testimonial',
		'h3_blog',
		'h4_slider',
		'h4_feature',
		'h4_about_left',
		'h4_about_right',
		'h4_service_icon',
		'h4_chooseus',
		'h4_team',
		'h4_testimonial',
		'h4_funfuct',
		'h4_blog',
		'h5_slider',
		'h5_about_left',
		'h5_about_right',
		'h5_service_icon',
		'h5_chooseus_left',
		'h5_chooseus_right',
		'h5_portfolios',
		'h5_blog',
		'mission_left',
		'mission_right',
		'service_icon',
		'portfolios',
		'portfolios2',
		'portfolios3',
		'project_details',
		'project_details2',
		'blog_grid',
		'contact_info',
		'contact',
		'h1_slider',
        'sec_title',
        'team_block',
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = TIMISOARAPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\TIMISOARAPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'timisoara',
			[
				'title' => esc_html__( 'Timisoara', 'timisoara' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'templatepath',
			[
				'title' => esc_html__( 'Template Path', 'timisoara' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();