<?php
/**
 * Dashboard Settings
 */

$posted_data   = array_map('sanitize_text_field', $_POST );
$nonce       = wpsection()->get_settings_atts( 'wpsection_nonce', '', $posted_data );

if ( wp_verify_nonce( $nonce, 'wpsection_nonce_action' ) ) {

	$elements_active = wpsection()->get_settings_atts( 'wpsection_elements_active', array(), $posted_data );

	if ( is_array( $elements_active ) ) {
		update_option( 'wpsection_elements_active', $elements_active );
	}
}

?>

<form action="<?php menu_page_url( 'wpsection-settings' ); ?>" class="page-wrapper" method="post" enctype="multipart/form-data">

    <div class="element-page">
        <div class="wrapper-box">

            <div class="sidebar">
                <div class="logo">
                    <h4><?php esc_html_e( WPSECTION_PLUGIN_NAME); ?></h4>
                </div>
                <ul class="nav nav-tabs tab-btn-style-one" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="tab-one-area" data-bs-toggle="tab" href="#tab-one" role="tab" aria-controls="tab-one" aria-selected="true">
                            <h4><span class="dashicons dashicons-screenoptions"></span> <?php esc_html_e( 'Dashboard', 'wpsection' ); ?></h4>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tab-three-area" data-bs-toggle="tab" href="#tab-three" role="tab" aria-controls="tab-three" aria-selected="false">
                            <h4><span class="dashicons dashicons-category"></span> <?php esc_html_e( 'Template Library', 'wpsection' ); ?></h4>
                        </a>
                    </li>
                     <li class="nav-item">
                        <a class="nav-link" id="tab-three-four" data-bs-toggle="tab" href="#tab-four" role="tab" aria-controls="tab-four" aria-selected="false">
                            <h4><span class="dashicons dashicons-welcome-learn-more"></span><?php esc_html_e( 'Got to Pro ', 'wpsection' ); ?></h4>
                        </a>
                    </li>
                
                </ul>
            </div>

            <div class="content-box">

                <div class="tab-content wow fadeInUp" data-wow-delay="200ms" data-wow-duration="1200ms">
<!-- Area One for Template Library -->
                    <div class="tab-pane fadeInUp animated active" id="tab-one" role="tabpanel" aria-labelledby="tab-one">
                        <div class="row">
                            
                            <div class="col-lg-6 feature-block">
                                <div class="inner-box">
                                    <div class="icon"><span class="dashicons  dashicons-cover-image"></span></div>
                                    <h4><?php esc_html_e( 'Our Works Demo', 'wpsection' ); ?></h4>
                                    <div class="text"><?php esc_html_e( 'Visit Our Site to get All the Demo Wodget and Templates', 'wpsection' ); ?></div>
                                    <div class="link-btn"><a href="<?php echo esc_attr(WPSECTION_PLUGIN_DEMO) ; ?>" class="btn-style-one"><span> <?php esc_html_e( 'All Demo', 'wpsection' ); ?></span></a></div>
                                    
                                </div>
                            </div>

                            <div class="col-lg-6 feature-block">
                                <div class="inner-box">
                                    <div class="icon"><span class="dashicons dashicons-edit-page"></span></div>
                                    <h4><?php esc_html_e( 'Details Documentations', 'wpsection' ); ?></h4>
                                    <div class="text"><?php esc_html_e( 'Follow our Easy Steps of Documentations', 'wpsection' ); ?></div>
                                    <div class="link-btn"><a href="<?php echo esc_attr(WPSECTION_PLUGIN_DOC) ; ?>" class="btn-style-one"><span> <?php esc_html_e( 'Documents', 'wpsection' ); ?></span></a></div>
                                </div>
                            </div>


                            <div class="col-md-6 feature-block">
                                <div class="inner-box">
                                <div class="icon"><span class="dashicons dashicons-database-export"></span></div>
                                            <div class="text-block">
                                                 <h4><?php esc_html_e( 'Get in touch anytime', 'wpsection' ); ?></h4>
                                                 <div class="text"><?php esc_html_e( 'We are allways next to you. just send us the an e-mail to contact us', 'wpsection' ); ?></div>
                                                <div class="link-btn"><a href="<?php echo esc_attr(WPSECTION_PLUGIN_CONTACT) ; ?>" class="btn-style-one"><span> <?php esc_html_e( 'Support', 'wpsection' ); ?></span></a></div>
                                            </div>
                                </div>
                            </div>
                         
                            <div class="col-lg-6 feature-block">
                                <div class="inner-box">
                                    <div class="icon"><span class="dashicons dashicons-editor-contract"></span></div>
                                  
                                     <h4><?php esc_html_e( 'Request a Feature', 'wpsection' ); ?></h4>
                                     <div class="text"><?php esc_html_e( 'Please let us know what you need more', 'wpsection' ); ?></div>
                                    <div class="link-btn"><a href="<?php echo esc_attr(WPSECTION_PLUGIN_CONTACT) ; ?>" class="btn-style-one"><span> <?php esc_html_e( 'Request', 'wpsection' ); ?></span></a></div>
                                </div>
                            </div>

                        </div>
                    </div>

<!-- Area Three for Template Library -->
<div class="tab-pane fadeInUp animated" id="tab-three" role="tabpanel" aria-labelledby="tab-three">
<div class="wpsection-library">
    <div class="wpsection-templates">
        <?php foreach ( wpsection()->get_plugin_data( 'templates' ) as $template_id => $template_group ) : ?>
            <a href="<?php echo esc_url( admin_url( 'admin.php?page=wpsection-library&template-group=' . $template_id ) ) ?>"
               data-filter-tags="<?php echo esc_attr( implode( '-', wpsection()->get_settings_atts( 'tags', array(), $template_group ) ) ); ?>"
               class="wpsection-template">
                <img src="<?php echo esc_url( wpsection()->get_template_group_thumb( $template_group ) ); ?>"
                     alt="<?php echo esc_html( wpsection()->get_settings_atts( 'title', '', $template_group ) ) ?>">
                <div class="template-details">
                    <h3><?php echo esc_html( wpsection()->get_settings_atts( 'title', '', $template_group ) ) ?></h3>
                    <div class="template-info">
                        <span><?php esc_html_e( sprintf( '%s Pages', count( wpsection()->get_settings_atts( 'pages', '', $template_group ) ) ), 'wpsection' ); ?></span>
                        <?php printf( '<div class="template-tags">%s</div>', implode( '', array_map( function ( $tag ) {
                            return sprintf( '<span>%s</span>', $tag );
                        }, wpsection()->get_settings_atts( 'tags', array(), $template_group ) ) ) ); ?>
                    </div>
                </div>
            </a>
        <?php endforeach; ?>
    </div>
</div>
</div>
 
<!-- // Areaf Four for Pro Version -->
<div class="tab-pane fadeInUp animated" id="tab-four" role="tabpanel" aria-labelledby="tab-four">

<h2><?php esc_html_e( 'Welcome to WpsectionPro ', 'wpsection' ); ?></h2><br>
<h4><?php esc_html_e( 'Thanks for using wpsection Plugin, Pro Version is not ready Yet, Onece It will be made we will update. ', 'wpsection' ); ?></h4>

</div>



                
                </div>
            </div>
        </div>
    </div>

	<?php wp_nonce_field( 'wpsection_nonce_action', 'wpsection_nonce' ); ?>
</form>
