<?php
/**
 * Plugin Name: wpsection
 * Plugin URI: https://wordpress.org/plugins/wpsection/
 * Description: This Plugin is compatible with  Default Theme
 * Version: 9.0.0
 * Author: Rashid87
 * Text Domain: wpsection
 * Domain Path: /languages/
 * Author URI: https://profiles.wordpress.org/rashid87/
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */


//Set the Name of the Theme you want to package inluded
defined( 'WPSECTION_THEME_NAME' ) || define( 'WPSECTION_THEME_NAME', esc_html( 'Default Theme' ) );

//Plugin Version set 999 for the theme 
defined('WPSECTION_VERSION' ) || define( 'WPSECTION_VERSION', '9.0.0' );

//Define the Plugin name 
defined( 'WPSECTION_PLUGIN_NAME' ) || define( 'WPSECTION_PLUGIN_NAME', esc_html( 'wpsection' ) );

//Plugin Path
defined( 'WPSECTION_PLUGIN_PATH' ) || define( 'WPSECTION_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );

//Plugin URL
define( 'WPSECTION_PLUGIN_URL', plugins_url( 'wpsection' ) . '/' );

//Local File PAth
defined( 'WPSECTION_PLUGIN_FILE' ) || define( 'WPSECTION_PLUGIN_FILE', plugin_basename( __FILE__ ) );

//This is Tutorial Link 
defined( 'WPSECTION_PLUGIN_TUTORIAL' ) || define( 'WPSECTION_PLUGIN_TUTORIAL', 'https://wpsection.com/tutorial' );

//This is Documentation Link 
defined( 'WPSECTION_PLUGIN_DOC' ) || define( 'WPSECTION_PLUGIN_DOC', 'https://wpsection.com/doc' );

//This is Demo Site Link 
defined( 'WPSECTION_PLUGIN_DEMO' ) || define( 'WPSECTION_PLUGIN_DEMO', 'https://wpsection.com/library' );

//This is Contact Us or Pro Version Link
defined( 'WPSECTION_PLUGIN_CONTACT' ) || define( 'WPSECTION_PLUGIN_CONTACT', 'https://wpsection.com/contact/' );

//This URL is for Remote Import API area
defined( 'WPSECTION_API_URL' ) || define( 'WPSECTION_API_URL', esc_url( 'https://wpsection.com/rashid/' ) );

// This 2nd Style of Path
defined( 'WPSECTION_PLUGIN_DIR' ) || define( 'WPSECTION_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );



final class WPSection {
  // Define plugin constants
  const PLUGIN_NAME = 'wpsection';
  const PLUGIN_SLUG = 'wpsection';
	

  // Constructor function
  function __construct() {
	  //Admin Script
	 add_action( 'admin_enqueue_scripts', [ $this, 'wpsection_admin_scripts' ] ); 
    // Register plugin activation and deactivation hooks
    register_activation_hook( __FILE__, array( $this, 'activate' ) );
	  
    register_deactivation_hook( __FILE__, array( $this, 'deactivate' ) );
    // Register plugin installation and uninstallation hooks
    register_uninstall_hook( __FILE__, array( 'WPSection', 'uninstall' ) );
	
  	// This is for Elemntor Widget Settings
	require_once plugin_dir_path( __FILE__ ) . '/theme/elementor/settings.php';
	  

    // This is requer_one GLOB of this root                                                                                                          
	function wpsection_include_files() {
	  $plugin_path = plugin_dir_path( __FILE__ );

	  foreach ( glob( $plugin_path . '/plugin/require_once/*.php' ) as $file ) {
		require_once $file;
	  }
	}
	wpsection_include_files();   

 	// This is All the Custom Templates such as Footer,Block,
	function wpsection_templates_files() {
    $plugin_path = plugin_dir_path( __FILE__ );

    foreach ( glob( $plugin_path . '/plugin/custompost/*.php' ) as $file ) {
    require_once $file;
    }
 	 }
  	wpsection_templates_files();  
// Glob all the shop related functions and Clsss
  function wpsection_shop_files() {
    $plugin_path = plugin_dir_path( __FILE__ );

    foreach ( glob( $plugin_path . '/plugin/shop/*.php' ) as $file ) {
    require_once $file;
    }
  }
  wpsection_shop_files();  
	  
// This is Dashboar code wps-setting is al default functions library
  function wpsection_dashboard_files() {
            include_once( WPSECTION_PLUGIN_DIR . 'plugin/dashboard/class-wps-settings.php' );
            include_once( WPSECTION_PLUGIN_DIR . 'plugin/dashboard/class-functions.php' );
            include_once( WPSECTION_PLUGIN_DIR . 'plugin/dashboard/class-hooks.php' );
            include_once( WPSECTION_PLUGIN_DIR . 'plugin/dashboard/functions.php' );
        }
   wpsection_dashboard_files();
	  

	  
/*Cron Run Code */	  


function plugin_activated() {

			// Adding cron schedule
			if ( ! wp_next_scheduled( 'wpsection_update_data' ) ) {
				wp_schedule_event( time(), 'daily', 'wpsection_update_data' );
			}
		} 	  
plugin_activated();
	   	  
}
//End fo construct

	  	//Locaoze script is call for admin scripts
		function wpsection_localize_scripts() {
            return apply_filters( 'wpsection_filters_localize_scripts', array(
                'ajaxurl'           => admin_url( 'admin-ajax.php' ),
                'importingText'     => esc_html__( 'Importing...', 'wpsection' ),
                'confirmRemoveText' => esc_html__( 'Do you really want to remove this item?', 'wpsection' ),
            ) );
        }
	
     function wpsection_admin_scripts() {
        wp_enqueue_style( 'wpsection-style', WPSECTION_PLUGIN_URL . 'plugin/assets/admin/css/style.css' );
		 
		    wp_register_style( 'bootstrap', WPSECTION_PLUGIN_URL . 'plugin/assets/frontend/css/bootstrap.css' );
		 
        wp_enqueue_script( 'wpsection-admin', WPSECTION_PLUGIN_URL . 'plugin/assets/admin/js/scripts.js', array( 'jquery', 'jquery-ui-sortable' ) );
        wp_localize_script( 'wpsection-admin', 'wpsection', $this->wpsection_localize_scripts() );
        wp_register_script( 'bootstrap', WPSECTION_PLUGIN_URL . 'plugin/assets/frontend/js/bootstrap.min.js', array( 'jquery' ) );
      }

	  // Activate the plugin
  function activate() {
    // Code to run on activation
  }

  // Deactivate the plugin
  function deactivate() {
    // Code to run on deactivation
  }

  // Uninstall the plugin
  static function uninstall() {
    // Code to run on uninstallation
  }
    

}
// Instantiate the WPSection class
$wpsection = new WPSection();

